// FILENAME:	SuperFortress.cs
//
// Based On:      Fortress.cs by Bucakaroo/Rawhide

// AUTHORS:  	Temujin
//------------------------------------------------------------------------------

$missionName = "DM_SuperFortress";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to DM_SuperFortress!  This map designed by ''|''mJ.  This and other maps are available at http://www6.50megs.com/temujin.  At this site you will also find Temujin's skin collections and training manual.");
}

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	marsSounds();
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Newtech", "Watching"); 
}

function setDefaultMissionItems() 
{
   allowVehicles("all",true);
   allowComponent("all", true);
   allowWeapon("all", true);
}

